Page MenuHomePhabricator

Reduce technical debt in metrics monitoring
Open, HighPublic

Description

Increase porting of statsd/graphite metrics to Prometheus

  • Port non-deprecated Diamond collectors to Prometheus, making Diamond deprecated in production by EOQ
  • Export Prometheus-compatible JVM metrics from JVMs in production (stretch)
  • Add Prometheus client support for varnish/statsd metrics daemons

Details

Related Objects

StatusAssignedTask
OpenNone
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedakosiaris
DeclinedGehel
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedGehel
ResolvedMoritzMuehlenhoff
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
ResolvedMoritzMuehlenhoff
OpenNone
Resolvedbd808
ResolvedBstorm
OpenNone
OpenNone
Resolvedelukey
Declineddduvall
OpenNone
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedKrinkle
ResolvedDzahn
ResolvedDzahn
ResolvedAndrew

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2017, 9:34 AM
fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Oct 11 2017, 12:48 PM
MoritzMuehlenhoff triaged this task as High priority.Nov 7 2017, 11:11 AM

Change 407445 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: aggregate nginx requests and availability

https://gerrit.wikimedia.org/r/407445

Change 407445 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: aggregate nginx requests and availability

https://gerrit.wikimedia.org/r/407445

Change 408274 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: calculate nginx/varnish availability over five minutes

https://gerrit.wikimedia.org/r/408274

Change 408274 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: calculate nginx/varnish availability over five minutes

https://gerrit.wikimedia.org/r/408274

Change 409820 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: tweak varnish aggregation rules

https://gerrit.wikimedia.org/r/409820

Change 409820 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: tweak varnish aggregation rules

https://gerrit.wikimedia.org/r/409820

Change 410402 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: aggregate availability for varnish backends

https://gerrit.wikimedia.org/r/410402

Change 410402 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: aggregate availability for varnish backends

https://gerrit.wikimedia.org/r/410402

fgiunchedi moved this task from Doing to Up next on the User-fgiunchedi board.Jul 11 2018, 1:50 PM
CDanis moved this task from Backlog to Radar on the User-CDanis board.